//+------------------------------------------------------------------+
//|                                             Poushkin_Pattern.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
//----
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Aqua
//----
//extern int period=9;
extern bool Sound=true;
datetime LastTime;
//extern bool alert=true;
//extern string signal_1 = "<<<| |>>>";
//extern string signal_2 = "<<<| |>>>";
//----
double b1[];
double b2[];
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
  int init()
  {
   IndicatorDigits(Digits);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(0,234);
   SetIndexArrow(1,233);
   IndicatorBuffers(2);
   SetIndexBuffer(0,b1);
   SetIndexBuffer(1,b2);
   return(0);
  }

void Beep()
  { 
    if (Sound==true && LastTime!=Time[0])
    {
      PlaySound("news.wav");            
      Print( TimeToStr(Time[0],TIME_SECONDS));
      LastTime = Time[0];        
    }      
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
  int start() 
  {
   int counted_bars=IndicatorCounted();
   int i,limit;
   double filtr,high1,high2,high3,low1,low2,low3,ll,hl;
   bool flag1=false;
   bool flag2=false;
//----
   if (counted_bars<0) return(-1);
   if (counted_bars>0) counted_bars--;
   limit=Bars-1;
   if(counted_bars>=1) limit=Bars-counted_bars-1;
   if (limit<0) limit=0;
     for(i=limit;i>=0;i--)   
     {
     // filtr=iMA(NULL,0,period,0,MODE_EMA,PRICE_CLOSE,i);
      high1=High[i+1];
      low1=Low[i+1];
      high2=High[i+2];
      low2=Low[i+2];
      high3=High[i+3];
      low3=Low[i+3];
//----
 if ((high2>high3) && (high2>high1) && (low1<low2)) { flag1=true; ll=MathMin(low1,low2); }
  
 if(flag1 && Close[i]<ll  )  {  b1[i]=High[i]+5*Point;  Beep(); flag1=false;   }
  
 if ((low2<low3) && (low2<low1) && (high1>high2)) { flag2=true;  hl=MathMax(high1,high2); }  
 if(flag2 && Close[i]>hl  )  {  b2[i]=Low[i]-5*Point;  Beep(); flag2=false;   }
   //  if(alert)signal();
  }
   return(0);
}
//+------------------------------------------------------------------+
void signal(){
   static datetime saveup;
   static datetime savedown;
   for(int loop = 0; loop < Bars-1; loop++){
      if(b1[loop] != 0){
         if(saveup != Time[loop]){
            saveup = Time[loop];
            PlaySound("alert.wav");
           // Alert(signal_1);
         }
         return;
      }
      if(b2[loop] != 0){
         if(savedown != Time[loop]){
            savedown = Time[loop];
            PlaySound("alert.wav");
           // Alert(signal_2);
         }
         return;
      }
   }
}
//+------------------------------------------------------------------+

